Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xorg-server-1.1.1-r1 seems to be unstable
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Nitro_146
Apprentice
Apprentice


Joined: 02 Mar 2005
Posts: 197
Location: Digne les bains, France

PostPosted: Wed Oct 25, 2006 6:26 pm    Post subject: xorg-server-1.1.1-r1 seems to be unstable Reply with quote

Hi all

I try to update my xorg-x11

Code:
core2 log # emerge -s xorg-x11
Searching...
[ Results for search key : xorg-x11 ]
[ Applications found : 1 ]

*  x11-base/xorg-x11
      Latest version available: 7.1
      Latest version installed: 7.0-r1
      Size of files: 0 kB
      Homepage:      http://xorg.freedesktop.org
      Description:   An X11 implementation maintained by the X.Org Foundation (meta package)      License:       as-is


but it seems that it depends on xorg-server-1.1.0 that is unstable for amd64

Code:
core2 log # emerge -av xorg-x11

These are the packages that would be merged, in order:

Calculating dependencies |
!!! All ebuilds that could satisfy ">=x11-base/xorg-server-1.1.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-base/xorg-server-1.1.0-r1 (masked by: ~amd64 keyword)
- x11-base/xorg-server-1.1.1 (masked by: ~amd64 keyword)
- x11-base/xorg-server-1.1.99.3_pre20060802 (masked by: package.mask, missing keyword)
# Joshua Baergen <joshuabaergen@gentoo.org> (03 Jun 2006)
# X.Org development snapshots

- x11-base/xorg-server-1.1.1-r1 (masked by: ~amd64 keyword)
- x11-base/xorg-server-1.1.1-r2 (masked by: ~amd64 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "x11-base/xorg-x11-7.1" [ebuild])


But, when I look at http://packages.gentoo.org/ebuilds/?xorg-server-1.1.1-r1 that ebuild si marked stable...

[edit] : Yes, i synced the tree before posting :?

I have no reference in xorg-x11 nor xorg-server in my package.keywords.

The problem is that emerge world is blocked because it tries to emerge xserver !

My emerge info in case it helps

Code:
core2 log # emerge --info
Portage 2.1.1-r1 (default-linux/amd64/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r8 x86_64)
=================================================================
System uname: 2.6.17-gentoo-r8 x86_64 Intel(R) Core(TM)2 CPU          6300  @ 1.86GHz
Gentoo Base System version 1.12.5
Last Sync: Wed, 25 Oct 2006 17:30:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="fr_FR.UTF-8"
LC_ALL="fr_FR.UTF-8"
LINGUAS="fr"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/portage-xgl"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X acpi alsa avahi avi berkdb bitmap-fonts cairo cdr cli cracklib crypt cups dbus divx4linux dlloader dri dvd dvdr eds elibc_glibc emboss encode esd fam firefox foomaticdb fortran gdbm gif gimpprint gnome gpm gstreamer gtk gtk2 hal imagemagick imlib input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kernel_linux ldap libg++ linguas_fr mad mikmod mp3 mpeg ncurses new-login nls nptl nptlonly nsplugin nvidia ogg opengl oss pam pcre pdflib perl pic png ppds pppd pps print python quicktime readline reflection scanner sdl session spell spl ssl tcpd tiff truetype truetype-fonts trutype type1-fonts udev unicode usb userland_GNU v4l v4l2 video_cards_apm video_cards_ark video_cards_ati video_cards_chips video_cards_cirrus video_cards_cyrix video_cards_dummy video_cards_fbdev video_cards_glint video_cards_i128 video_cards_i810 video_cards_mga video_cards_neomagic video_cards_nv video_cards_rendition video_cards_s3 video_cards_s3virge video_cards_savage video_cards_siliconmotion video_cards_sis video_cards_sisusb video_cards_tdfx video_cards_tga video_cards_trident video_cards_tseng video_cards_v4l video_cards_vesa video_cards_vga video_cards_via video_cards_vmware video_cards_voodoo vorbis wmf xinerama xml xorg xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS


_________________
Linux, cause booting is for adding new hardware
Back to top
View user's profile Send private message
Conzar
Tux's lil' helper
Tux's lil' helper


Joined: 04 Feb 2004
Posts: 89

PostPosted: Thu Oct 26, 2006 11:24 pm    Post subject: Reply with quote

*BumP*

I have the same problem - except I am starting from scratch --- doing a new build.
Back to top
View user's profile Send private message
Nitro_146
Apprentice
Apprentice


Joined: 02 Mar 2005
Posts: 197
Location: Digne les bains, France

PostPosted: Sat Nov 04, 2006 4:44 pm    Post subject: Reply with quote

A week after and some "emerge --sync" did not solve the issue.

Should I file a Bug ?
_________________
Linux, cause booting is for adding new hardware
Back to top
View user's profile Send private message
Conzar
Tux's lil' helper
Tux's lil' helper


Joined: 04 Feb 2004
Posts: 89

PostPosted: Sat Nov 04, 2006 10:58 pm    Post subject: Reply with quote

Well, I reformated and switched to x86. So I'm not sure of the current state of things.
Back to top
View user's profile Send private message
Nitro_146
Apprentice
Apprentice


Joined: 02 Mar 2005
Posts: 197
Location: Digne les bains, France

PostPosted: Sat Nov 04, 2006 11:15 pm    Post subject: Reply with quote

Restarting from scratch is not an option for me ... I use my computer to work and I dont want to loose that much time.

And I like the idea of having an 64bits OS, since everything I need is working.
_________________
Linux, cause booting is for adding new hardware
Back to top
View user's profile Send private message
sentenza
n00b
n00b


Joined: 05 Dec 2002
Posts: 30

PostPosted: Sun Nov 05, 2006 6:29 pm    Post subject: Same problem here... Reply with quote

Hi,

I just experienced the same issue...

Code:

darkstar tom # emerge -p xorg-x11

These are the packages that would be merged, in order:

Calculating dependencies |
!!! All ebuilds that could satisfy ">=x11-base/xorg-server-1.1.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-base/xorg-server-1.1.0-r1 (masked by: package.mask)
- x11-base/xorg-server-1.1.99.901 (masked by: package.mask, package.mask)
# Joshua Baergen <joshuabaergen@gentoo.org> (03 Jun 2006)
# X.Org development snapshots

- x11-base/xorg-server-1.1.1 (masked by: package.mask)
- x11-base/xorg-server-1.2.99.0 (masked by: package.mask, package.mask, package.mask, missing keyword)
- x11-base/xorg-server-1.1.1-r1 (masked by: package.mask)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "x11-base/xorg-x11-7.1" [ebuild])

darkstar tom # grep xorg-server /usr/portage/profiles/package.mask
>=x11-base/xorg-server-1.2.99
>=x11-base/xorg-server-1.1.99


After some cheks, it finally was just related to an old entry i left in /etc/portage/package.mask.

try
Code:
grep -n xorg-server /etc/portage/*


and see if you made the same mistake :)

Sentenza
Back to top
View user's profile Send private message
Nitro_146
Apprentice
Apprentice


Joined: 02 Mar 2005
Posts: 197
Location: Digne les bains, France

PostPosted: Sun Nov 05, 2006 7:49 pm    Post subject: Reply with quote

Thank's for help.

Unfortunately there is no reference to xorg anywhere in /etc/portage

I had checked before because I tryed XGL once, but I did clean after (worked, bun not with my dual sceen)
_________________
Linux, cause booting is for adding new hardware
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum